> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assets

> Query assets with optional filters. This is a read-only operation and is not billed.



## OpenAPI

````yaml api-reference/model-api/bytedance/openapi/volc-asset-list-assets/openapi.yaml POST /volc/asset/ListAssets
openapi: 3.1.0
info:
  title: Seedance 2.0 Asset — List Assets
  description: Query assets within asset groups via Anyfast API
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security:
  - bearerAuth: []
paths:
  /volc/asset/ListAssets:
    post:
      summary: List Assets
      description: >-
        Query assets with optional filters. This is a read-only operation and is
        not billed.
      operationId: listAssets
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListAssetsRequest'
      responses:
        '200':
          description: Assets retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAssetsResponse'
        '401':
          description: Unauthorized
components:
  schemas:
    ListAssetsRequest:
      type: object
      required:
        - model
        - Filter
      properties:
        model:
          type: string
          description: 'Model name. Default: `volc-asset`.'
          example: volc-asset
        Filter:
          $ref: '#/components/schemas/ListAssetsFilter'
        PageNumber:
          type: integer
          description: 'Page number. Default: `1`.'
          example: 1
        PageSize:
          type: integer
          description: 'Items per page. Default: `10`.'
          example: 10
      example:
        model: volc-asset
        Filter:
          Name: test
          GroupIds:
            - group-20260320141746-zsf6b
          GroupType: LivenessFace
        PageNumber: 1
        PageSize: 10
    ListAssetsResponse:
      type: object
      properties:
        Items:
          type: array
          items:
            type: object
            properties:
              Id:
                type: string
                example: asset-20260320142452-2htjn
              Name:
                type: string
                example: test
              URL:
                type: string
                description: Asset file URL.
                example: https://ark-media-asset.tos-cn-beijing.volces.com/...
              AssetType:
                type: string
                example: Image
              GroupId:
                type: string
                example: group-20260320141746-zsf6b
              Status:
                type: string
                enum:
                  - Processing
                  - Active
                  - Failed
                example: Active
              Error:
                type: object
                description: >-
                  Present when asset processing fails, for example when a
                  LivenessFace upload does not match the verified face.
                properties:
                  Code:
                    type: string
                    example: FaceMismatch
                  Message:
                    type: string
                    example: Face consistency verification failed.
              ProjectName:
                type: string
                example: default
              CreateTime:
                type: string
                example: '2026-03-20T14:24:52Z'
              UpdateTime:
                type: string
                example: '2026-03-20T14:25:01Z'
        PageNumber:
          type: integer
          example: 1
        PageSize:
          type: integer
          example: 10
        TotalCount:
          type: integer
          example: 2
    ListAssetsFilter:
      type: object
      properties:
        Name:
          type: string
          description: Fuzzy match by asset name.
          example: test
        GroupIds:
          type: array
          items:
            type: string
          description: Filter by asset group ID list.
          example:
            - group-20260320141746-zsf6b
        GroupType:
          type: string
          enum:
            - AIGC
            - LivenessFace
          description: Filter by group type.
          example: LivenessFace
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````